# Vendor Profiles

## V2 Version - This API provides the Vendor Profiles associated with a specific Organization. Credentials may originate from an Vendor Profile or the legacy organization-level credential system. The system intelligently determines the appropriate credential source and returns a secure reference to it.

 - [GET /api/organizations/{organizationId}/vendor-profiles](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_getcredentials.md): Permissions needed - organizations.admin,ecg-api-key

## The purpose of this API is to add Vendor Profile

 - [POST /api/vendor-profiles](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_add.md): Permissions needed - organizations.admin

## The purpose of this API is to view all Vendor Profiles

 - [GET /api/vendor-profiles](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_list.md): Permissions needed - organizations.read

## The purpose of this API is to get Vendor Profile details by ID

 - [GET /api/vendor-profiles/{vendorProfileId}](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_getbyid.md): Permissions needed - organizations.admin,ecg-api-key

## The purpose of this API is to update an existing Vendor Profile. Only source and description fields can be updated.

 - [PATCH /api/vendor-profiles/{vendorProfileId}](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_update.md): Permissions needed - organizations.admin

## The purpose of this API is to re-sync Vendor Profile details in redis cache

 - [POST /api/vendor-profiles/{vendorProfileId}/re-sync](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_resync.md): Permissions needed - organizations.admin,ecg-api-key

## The purpose of this API is to re-sync Vendor Profile details in redis cache

 - [POST /api/vendor-profiles/re-sync](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_resyncall.md): Permissions needed - organizations.admin,ecg-api-key

## The purpose of this API is to activate an Vendor Profile

 - [POST /api/vendor-profiles/{vendorProfileId}/activate](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_activate.md): Permissions needed - organizations.admin

## The purpose of this API is to deactivate an Vendor Profile

 - [POST /api/vendor-profiles/{vendorProfileId}/deactivate](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_deactivate.md): Permissions needed - organizations.admin

## The purpose of this API is to get the organizations associated with a specific Vendor Profile

 - [GET /api/vendor-profiles/{vendorProfileId}/organizations](https://ecg-api-documentation.redocly.app/products/organizations/apis/orgs/vendor-profiles/vendorprofilecontroller_getorganizations.md): Permissions needed - organizations.read

